Package org.gitana.platform.client.plan

# Class PlanImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.registrar.AbstractRegistrarDocumentImpl
org.gitana.platform.client.plan.PlanImpl

All Implemented Interfaces:
  `Serializable`, `Document`, `Plan`, `PlatformDocument`, `RegistrarDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class PlanImpl extends AbstractRegistrarDocumentImpl implements Plan

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.plan.Plan

`FIELD_BASE, FIELD_BASE_PRICE, FIELD_BASE_SCHEDULE, FIELD_CAPABILITIES, FIELD_PLAN_KEY, FIELD_REQUIRES_BILLING, FIELD_STORAGE, FIELD_STORAGE_ALLOWANCE, FIELD_STORAGE_BILLING_KEY, FIELD_STORAGE_MAX, FIELD_STORAGE_PRICE, FIELD_STORAGE_REQUIRES_BILLING, FIELD_STORAGE_UNIT, FIELD_SUBTENANT_ALLOWANCE, FIELD_TRANSFER_OUT, FIELD_TRANSFER_OUT_ALLOWANCE, FIELD_TRANSFER_OUT_BILLING_KEY, FIELD_TRANSFER_OUT_MAX, FIELD_TRANSFER_OUT_PRICE, FIELD_TRANSFER_OUT_REQUIRES_BILLING, FIELD_TRANSFER_OUT_UNIT`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`PlanImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`BigDecimal`
`getBillingPrice()`
`org.gitana.platform.services.payment.BillingSchedule`
`getBillingSchedule()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getCapabilities()`
`String`
`getPlanKey()`
`boolean`
`getRequiresBilling()`
`protected String`
`getResourceUri()`
`long`
`getStorageAllowance()`
`String`
`getStorageBillingKey()`
`boolean`
`getStorageBillingRequired()`
`long`
`getStorageMax()`
`BigDecimal`
`getStoragePrice()`
`org.gitana.platform.services.plan.DataUnit`
`getStorageUnit()`
`int`
`getSubTenantAllowance()`
`long`
`getTransferOutAllowance()`
`String`
`getTransferOutBillingKey()`
`boolean`
`getTransferOutBillingRequired()`
`long`
`getTransferOutMax()`
`BigDecimal`
`getTransferOutPrice()`
`org.gitana.platform.services.plan.DataUnit`
`getTransferOutUnit()`
`String`
`getTypeId()`
`void`
`reload()`
Reload
`void`
`setBillingPrice(BigDecimal paymentPrice)`
`void`
`setBillingSchedule(org.gitana.platform.services.payment.BillingSchedule schedule)`
`void`
`setCapabilities(com.fasterxml.jackson.databind.node.ObjectNode capabilities)`
`void`
`setPlanKey(String planKey)`
`void`
`setRequiresBilling(boolean requiresBilling)`
`void`
`setStorageAllowance(long storageAllowance)`
`void`
`setStorageBillingKey(String storageBillingKey)`
`void`
`setStorageBillingRequired(boolean storageBillingRequired)`
`void`
`setStorageMax(long storageMax)`
`void`
`setStoragePrice(BigDecimal storagePrice)`
`void`
`setStorageUnit(org.gitana.platform.services.plan.DataUnit storageUnit)`
`void`
`setSubTenantAllowance(int subtenantAllowance)`
`void`
`setTransferOutAllowance(long transferOutAllowance)`
`void`
`setTransferOutBillingKey(String transferOutBillingKey)`
`void`
`setTransferOutBillingRequired(boolean transferOutBillingRequired)`
`void`
`setTransferOutMax(long transferOutMax)`
`void`
`setTransferOutPrice(BigDecimal transferOutPrice)`
`void`
`setTransferOutUnit(org.gitana.platform.services.plan.DataUnit transferOutUnit)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.registrar.AbstractRegistrarDocumentImpl

`getRegistrar, getRegistrarId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.registrar.RegistrarDocument

`getRegistrar, getRegistrarId`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### PlanImpl

public PlanImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

protected String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### setPlanKey

public void setPlanKey(String planKey)

Specified by:
  `setPlanKey` in interface `Plan`

### getPlanKey

public String getPlanKey()

Specified by:
  `getPlanKey` in interface `Plan`

### getRequiresBilling

public boolean getRequiresBilling()

Specified by:
  `getRequiresBilling` in interface `Plan`

### setRequiresBilling

public void setRequiresBilling(boolean requiresBilling)

Specified by:
  `setRequiresBilling` in interface `Plan`

### getBillingSchedule

public org.gitana.platform.services.payment.BillingSchedule getBillingSchedule()

Specified by:
  `getBillingSchedule` in interface `Plan`

### setBillingSchedule

public void setBillingSchedule(org.gitana.platform.services.payment.BillingSchedule schedule)

Specified by:
  `setBillingSchedule` in interface `Plan`

### getBillingPrice

public BigDecimal getBillingPrice()

Specified by:
  `getBillingPrice` in interface `Plan`

### setBillingPrice

public void setBillingPrice(BigDecimal paymentPrice)

Specified by:
  `setBillingPrice` in interface `Plan`

### getStorageAllowance

public long getStorageAllowance()

Specified by:
  `getStorageAllowance` in interface `Plan`

### setStorageAllowance

public void setStorageAllowance(long storageAllowance)

Specified by:
  `setStorageAllowance` in interface `Plan`

### getStorageUnit

public org.gitana.platform.services.plan.DataUnit getStorageUnit()

Specified by:
  `getStorageUnit` in interface `Plan`

### setStorageUnit

public void setStorageUnit(org.gitana.platform.services.plan.DataUnit storageUnit)

Specified by:
  `setStorageUnit` in interface `Plan`

### getStoragePrice

public BigDecimal getStoragePrice()

Specified by:
  `getStoragePrice` in interface `Plan`

### setStoragePrice

public void setStoragePrice(BigDecimal storagePrice)

Specified by:
  `setStoragePrice` in interface `Plan`

### getStorageBillingKey

public String getStorageBillingKey()

Specified by:
  `getStorageBillingKey` in interface `Plan`

### setStorageBillingKey

public void setStorageBillingKey(String storageBillingKey)

Specified by:
  `setStorageBillingKey` in interface `Plan`

### getStorageBillingRequired

public boolean getStorageBillingRequired()

Specified by:
  `getStorageBillingRequired` in interface `Plan`

### setStorageBillingRequired

public void setStorageBillingRequired(boolean storageBillingRequired)

Specified by:
  `setStorageBillingRequired` in interface `Plan`

### getStorageMax

public long getStorageMax()

Specified by:
  `getStorageMax` in interface `Plan`

### setStorageMax

public void setStorageMax(long storageMax)

Specified by:
  `setStorageMax` in interface `Plan`

### getTransferOutAllowance

public long getTransferOutAllowance()

Specified by:
  `getTransferOutAllowance` in interface `Plan`

### setTransferOutAllowance

public void setTransferOutAllowance(long transferOutAllowance)

Specified by:
  `setTransferOutAllowance` in interface `Plan`

### getTransferOutUnit

public org.gitana.platform.services.plan.DataUnit getTransferOutUnit()

Specified by:
  `getTransferOutUnit` in interface `Plan`

### setTransferOutUnit

public void setTransferOutUnit(org.gitana.platform.services.plan.DataUnit transferOutUnit)

Specified by:
  `setTransferOutUnit` in interface `Plan`

### getTransferOutPrice

public BigDecimal getTransferOutPrice()

Specified by:
  `getTransferOutPrice` in interface `Plan`

### setTransferOutPrice

public void setTransferOutPrice(BigDecimal transferOutPrice)

Specified by:
  `setTransferOutPrice` in interface `Plan`

### getTransferOutBillingKey

public String getTransferOutBillingKey()

Specified by:
  `getTransferOutBillingKey` in interface `Plan`

### setTransferOutBillingKey

public void setTransferOutBillingKey(String transferOutBillingKey)

Specified by:
  `setTransferOutBillingKey` in interface `Plan`

### getTransferOutBillingRequired

public boolean getTransferOutBillingRequired()

Specified by:
  `getTransferOutBillingRequired` in interface `Plan`

### setTransferOutBillingRequired

public void setTransferOutBillingRequired(boolean transferOutBillingRequired)

Specified by:
  `setTransferOutBillingRequired` in interface `Plan`

### getTransferOutMax

public long getTransferOutMax()

Specified by:
  `getTransferOutMax` in interface `Plan`

### setTransferOutMax

public void setTransferOutMax(long transferOutMax)

Specified by:
  `setTransferOutMax` in interface `Plan`

### getCapabilities

public com.fasterxml.jackson.databind.node.ObjectNode getCapabilities()

Specified by:
  `getCapabilities` in interface `Plan`

### setCapabilities

public void setCapabilities(com.fasterxml.jackson.databind.node.ObjectNode capabilities)

Specified by:
  `setCapabilities` in interface `Plan`

### getSubTenantAllowance

public int getSubTenantAllowance()

Specified by:
  `getSubTenantAllowance` in interface `Plan`

### setSubTenantAllowance

public void setSubTenantAllowance(int subtenantAllowance)

Specified by:
  `setSubTenantAllowance` in interface `Plan`